be.fgov.ehealth.dics.protocol.v4

## Class ConsultVmpGroupType

- java.lang.Object
- - be.fgov.ehealth.dics.core.v4.virtual.common.VmpGroupKeyType
  - - be.fgov.ehealth.dics.protocol.v4.ConsultVmpGroupType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:57:31+01:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultVmpGroupType
      extends VmpGroupKeyType
      implements Serializable

  Java class for ConsultVmpGroupType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultVmpGroupType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:core:v4:virtual:common}VmpGroupKeyType">
             <sequence>
               <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
               <element name="NoGenericPrescriptionReason" type="{urn:be:fgov:ehealth:dics:protocol:v4}NoGenericPrescriptionReasonType" minOccurs="0"/>
               <element name="NoSwitchReason" type="{urn:be:fgov:ehealth:dics:protocol:v4}NoSwitchReasonType" minOccurs="0"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v4}validityPeriod"/>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultVmpGroupType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `ConsultTextType` | `getName()` Gets the value of the name property.
    `NoGenericPrescriptionReasonType` | `getNoGenericPrescriptionReason()` Gets the value of the noGenericPrescriptionReason property.
    `NoSwitchReasonType` | `getNoSwitchReason()` Gets the value of the noSwitchReason property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setName(ConsultTextType value)` Sets the value of the name property.
    `void` | `setNoGenericPrescriptionReason(NoGenericPrescriptionReasonType value)` Sets the value of the noGenericPrescriptionReason property.
    `void` | `setNoSwitchReason(NoSwitchReasonType value)` Sets the value of the noSwitchReason property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

    - ### Methods inherited from class be.fgov.ehealth.dics.core.v4.virtual.common.VmpGroupKeyType

      `getCode, setCode`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultVmpGroupType

          public ConsultVmpGroupType()

  - ### Method Detail

    - #### getName

          public ConsultTextType getName()

      Gets the value of the name property.
      Returns:
        possible object is `ConsultTextType`

    - #### setName

          public void setName(ConsultTextType value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getNoGenericPrescriptionReason

          public NoGenericPrescriptionReasonType getNoGenericPrescriptionReason()

      Gets the value of the noGenericPrescriptionReason property.
      Returns:
        possible object is `NoGenericPrescriptionReasonType`

    - #### setNoGenericPrescriptionReason

          public void setNoGenericPrescriptionReason(NoGenericPrescriptionReasonType value)

      Sets the value of the noGenericPrescriptionReason property.
      Parameters:
        `value` - allowed object is `NoGenericPrescriptionReasonType`

    - #### getNoSwitchReason

          public NoSwitchReasonType getNoSwitchReason()

      Gets the value of the noSwitchReason property.
      Returns:
        possible object is `NoSwitchReasonType`

    - #### setNoSwitchReason

          public void setNoSwitchReason(NoSwitchReasonType value)

      Sets the value of the noSwitchReason property.
      Parameters:
        `value` - allowed object is `NoSwitchReasonType`

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.